Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
mceliece.cpp File Reference
`#include <botan/internal/mce_internal.h>`
`#include <botan/mceliece.h>`
`#include <botan/internal/code_based_util.h>`
`#include <botan/internal/bit_ops.h>`
`#include <set>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
void | Botan::mceliece_encrypt (secure_vector< uint8_t > &ciphertext_out, secure_vector< uint8_t > &error_mask_out, const secure_vector< uint8_t > &plaintext, const McEliece_PublicKey &key, RandomNumberGenerator &rng)